Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038039
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-03-05 12:572018-03-27 09:12
ReportervmromanosView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision1ed089db27e7
ProjectionnoneETAnoneTarget Version3.0PR18Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038039: Organization filtering issues in Process Definition selectors

DescriptionI have the same selector two times in a Process Definition (see screenshot):
1. At "header" level
2. At "grid" (window reference) level

The Process Definition is executed from a window, selecting any record.
The organization filtering in the selector is different depending on where the selector is placed:
1. At header lever it properly filters by records in the natural tree of the record's organization
2. At grid level it doesn't apply any filter and shows any record regardless of the organization natural tree.

This inconsistency is wrong and the selector at grid level should have the same filtering as the header's level one.
Steps To ReproduceThis can be reproduced using the Referenced Inventory feature.

As System Admin:
Go to Process Definition and select "ReferencedInventoryUnBoxHandler"
Add a new parameter:
 M_Locator_ID
 OBUISEL_Selector Reference
 On Hand Locator


As F&B Admin:
Go to Referenced Inventory Type and create a new record for F&B US
Go to Referenced Inventory and create a new record for organization West. Link it to previous Referenced Inventory Type.
Press Box button and select any line with any quantity. Press OK
Now press Unbox button.
Open selector at header level and clean any filter. Verify it only shows bin for West warehouse (OK)
Open selector on any line in grid, clean any filter. Verify it shows all the bins regardless the organization. (WRONG) it should show the same bins as in the header.
TagsNo tags attached.
Attached Filespng file icon processDefinition.png [^] (21,714 bytes) 2018-03-05 13:03


png file icon header_OK.png [^] (18,668 bytes) 2018-03-05 13:03


png file icon line_WRONG.png [^] (45,280 bytes) 2018-03-05 13:03

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0036151 closedcaristu organization selector in process definition don't filter by role's org access 
related to feature request 00378273.0PR18Q2 closedvmromanos Referenced Inventory 
related to defect 00380613.0PR18Q2 closedalostale Selector filter expression with OB.isSalesTransaction() doesn't work when called from a Process Definition 
related to defect 0038159 closedjarmendariz Possible memory leak in Referenced Inventory Unbox process 
causes defect 0040763 closedAugustoMauch In Payment Out window, Add Details process, the Business Partner is showing customers when it should show vendors 

-  Notes
(0103309)
hgbot (developer)
2018-03-16 10:32

Repository: erp/devel/pi
Changeset: 1ed089db27e7036cf53026ca873dbcf104d79bb9
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Mar 16 09:22:05 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1ed089db27e7036cf53026ca873dbcf104d79bb9 [^]

Fixed bug 38039: Inconsistent organization filtering in process selectors.

Pick-and-execute grids does not add their standardProperties in the context
info, causing a wrong behavior in selectors not filtering by organization.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0103332)
hudsonbot (developer)
2018-03-16 17:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5323533018b6 [^]
Maturity status: Test
(0103552)
AugustoMauch (developer)
2018-03-27 09:12

Code reviewed and verified

- Issue History
Date Modified Username Field Change
2018-03-05 12:57 vmromanos New Issue
2018-03-05 12:57 vmromanos Assigned To => platform
2018-03-05 12:57 vmromanos Modules => Core
2018-03-05 12:57 vmromanos Triggers an Emergency Pack => No
2018-03-05 12:57 vmromanos Relationship added related to 0036151
2018-03-05 13:03 vmromanos File Added: processDefinition.png
2018-03-05 13:03 vmromanos File Added: header_OK.png
2018-03-05 13:03 vmromanos File Added: line_WRONG.png
2018-03-05 13:25 vmromanos Relationship added related to 0037827
2018-03-07 12:36 alostale Relationship added related to 0038061
2018-03-13 16:45 jarmendariz Assigned To platform => jarmendariz
2018-03-13 16:45 jarmendariz Status new => scheduled
2018-03-16 10:32 hgbot Checkin
2018-03-16 10:32 hgbot Note Added: 0103309
2018-03-16 10:32 hgbot Status scheduled => resolved
2018-03-16 10:32 hgbot Resolution open => fixed
2018-03-16 10:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1ed089db27e7036cf53026ca873dbcf104d79bb9 [^]
2018-03-16 10:33 jarmendariz Review Assigned To => AugustoMauch
2018-03-16 12:51 jarmendariz Relationship added related to 0038159
2018-03-16 17:29 hudsonbot Checkin
2018-03-16 17:29 hudsonbot Note Added: 0103332
2018-03-27 09:12 AugustoMauch Note Added: 0103552
2018-03-27 09:12 AugustoMauch Status resolved => closed
2018-03-27 09:12 AugustoMauch Fixed in Version => 3.0PR18Q2
2019-05-06 16:09 AugustoMauch Relationship added causes 0040763


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker